Skip to content

Coi Disclosures

Operations Summary

Method Endpoint Description
GET /api/coi-disclosures/ List Coi Disclosures
GET /api/coi-disclosures/{uuid}/ Retrieve
POST /api/coi-disclosures/ Create

List Coi Disclosures

1
2
3
4
http \
  GET \
  https://api.example.com/api/coi-disclosures/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.coi_disclosure_form_o_enum import COIDisclosureFormOEnum # (1)
from waldur_api_client.api.coi_disclosures import coi_disclosures_list # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = coi_disclosures_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: COIDisclosureFormOEnum
  2. API Source: coi_disclosures_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { coiDisclosuresList } from 'waldur-js-client';

try {
  const response = await coiDisclosuresList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
call_uuid string (uuid)
certified boolean
is_current boolean
o array Ordering

page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
reviewer_uuid string (uuid)

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
reviewer string (uri)
reviewer_uuid string (uuid)
reviewer_name string
call string (uri) Null for general annual disclosure
call_uuid string (uuid)
call_name string
certified boolean
certification_date string (date-time)
certification_statement string Legal text they agreed to
has_financial_interests boolean
financial_interests array of objects
financial_interests.uuid string (uuid)
financial_interests.entity_name string
financial_interests.entity_type string
Enum: company, startup, nonprofit, government, other
financial_interests.relationship_type string
Enum: employment, consulting, equity, board, royalties, gifts, other
financial_interests.amount_range string
Enum: none, under_5k, 5k_10k, 10k_50k, over_50k
financial_interests.is_ongoing boolean
financial_interests.description string
has_personal_relationships boolean
personal_relationships any
has_other_conflicts boolean
other_conflicts_description string
valid_until string (date) Typically 1 year from certification
is_current boolean
created string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/coi-disclosures/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.coi_disclosures import coi_disclosures_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = coi_disclosures_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: coi_disclosures_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { coiDisclosuresRetrieve } from 'waldur-js-client';

try {
  const response = await coiDisclosuresRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
reviewer string (uri)
reviewer_uuid string (uuid)
reviewer_name string
call string (uri) Null for general annual disclosure
call_uuid string (uuid)
call_name string
certified boolean
certification_date string (date-time)
certification_statement string Legal text they agreed to
has_financial_interests boolean
financial_interests array of objects
financial_interests.uuid string (uuid)
financial_interests.entity_name string
financial_interests.entity_type string
Enum: company, startup, nonprofit, government, other
financial_interests.relationship_type string
Enum: employment, consulting, equity, board, royalties, gifts, other
financial_interests.amount_range string
Enum: none, under_5k, 5k_10k, 10k_50k, over_50k
financial_interests.is_ongoing boolean
financial_interests.description string
has_personal_relationships boolean
personal_relationships any
has_other_conflicts boolean
other_conflicts_description string
valid_until string (date) Typically 1 year from certification
is_current boolean
created string (date-time)

Create

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/coi-disclosures/ \
  Authorization:"Token YOUR_API_TOKEN" \
  valid_until="2023-10-01"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.coi_disclosure_form_request import COIDisclosureFormRequest # (1)
from waldur_api_client.api.coi_disclosures import coi_disclosures_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = COIDisclosureFormRequest(
    valid_until="2023-10-01"
)
response = coi_disclosures_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: COIDisclosureFormRequest
  2. API Source: coi_disclosures_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { coiDisclosuresCreate } from 'waldur-js-client';

try {
  const response = await coiDisclosuresCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "valid_until": "2023-10-01"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
call string (uri) Null for general annual disclosure
certified boolean
certification_statement string Legal text they agreed to
has_financial_interests boolean
has_personal_relationships boolean
personal_relationships any
has_other_conflicts boolean
other_conflicts_description string
valid_until string (date) Typically 1 year from certification

201 -

Field Type Description
url string (uri)
uuid string (uuid)
reviewer string (uri)
reviewer_uuid string (uuid)
reviewer_name string
call string (uri) Null for general annual disclosure
call_uuid string (uuid)
call_name string
certified boolean
certification_date string (date-time)
certification_statement string Legal text they agreed to
has_financial_interests boolean
financial_interests array of objects
financial_interests.uuid string (uuid)
financial_interests.entity_name string
financial_interests.entity_type string
Enum: company, startup, nonprofit, government, other
financial_interests.relationship_type string
Enum: employment, consulting, equity, board, royalties, gifts, other
financial_interests.amount_range string
Enum: none, under_5k, 5k_10k, 10k_50k, over_50k
financial_interests.is_ongoing boolean
financial_interests.description string
has_personal_relationships boolean
personal_relationships any
has_other_conflicts boolean
other_conflicts_description string
valid_until string (date) Typically 1 year from certification
is_current boolean
created string (date-time)